PAUSE(2)

NAME
pause - wait for signal

SYNOPSIS
#include <unistd.h>

int pause(void);

DESCRIPTION
The pause() library function causes the invoking process (or thread) to sleep until a signal is received that either terminates it or causes it to call a signal-catching function.

RETURN VALUE
The pause() function only returns when a signal was caught and the signal-catching function returned. In this case pause() returns -1, and errno is set to EINTR.

ERRORS

EINTR
    a signal was caught and the signal-catching function returned.

CONFORMING TO
SVr4, SVID, POSIX, X/OPEN, 4.3BSD

SEE ALSO
kill(2), select(2), signal(2), sigsuspend(2).